body {
    margin: 0;
    padding: 0;
    width: 100%;
}

/*Index*/
.contenido {
    margin-top: 20px;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
}

/*Galeria Postres*/

/* Div que contine datos => tabla de 4 columnas y espaciado de 10px*/
.tablaPostres {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    margin-bottom: 50px;
}

/* Todos los elementos dentro de la tabla los colocamos usando flex*/
.tablaPostres * {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

/* Cambiamos el tamaño de letra de los párrafos contenidos en la tabla*/
.tablaPostres p {
    font-size: 1.5em;
    font-weight: bold;
}

/*posicionar la lista desplegable */
.listaDesplegable {
    width: fit-content;
    margin: 20px auto;
}

/*Altura a la lista */
.listaDesplegable select {
    height: 38px;
    font-size: large;
}

/*Anchura del formulario*/
.lista {
    width: 350px;
    display: flex;

}

/*Colocación del contenido del formulario*/
.lista * {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-grow: 1;
}

/* Altura y margen del boton*/
.botonBuscar {
    height: 38px;
    margin-left: 20px;
}

/*Hacer más grande el icono*/
.botonBuscar ion-icon {
    display: inline-flex;
    font-size: x-large;

}

/*Cuando la resolución es menor de 1400 px => 3 columnas*/
@media all and (max-width:1400px) {
    .tablaPostres {
        grid-template-columns: repeat(3, 1fr);
    }
}

/*Cuando la resolución es menor de 960 px => 2 columnas*/
@media all and (max-width:960px) {
    .tablaPostres {
        grid-template-columns: repeat(2, 1fr);
    }
}

/*Cuando la resolución es menor de 650 px => 1 columna*/
@media all and (max-width:650px) {
    .tablaPostres {
        grid-template-columns: 1fr;
    }
}

/*La foto de la cabecera no tendrá una altura menor a 100px*/
img.imgCabecera {
    min-height: 100px;
}

/*Boton detalles*/
button#detalles {
    border: none;
    margin: 0;
    padding: 0;
}

/*Estilos boton boton al inicio de la plantillaDatos*/
.botonVolver {
    width: fit-content;
    background-color: burlywood;
    color: aliceblue;
    padding: 20px;
    border-radius: 10px;
    margin-left: 45%;
}

.botonVolver:hover {
    text-decoration: none;
    color: yellow;
    box-shadow: 1px 1px 1px 1px olive;
}


/* Colocación de la plantilla*/
.mostrarPostre {
    margin: 5%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    grid-template-areas:
        "foto ingredientes"
        "historia historia"
        "botonPastel botonPastel";
}

/* Centrar la foto*/
.plantillaFoto {
    display: flex;
    justify-content: center;
    align-items: center;
    grid-area: foto;
}

.platillaInformacion {
    grid-area: ingredientes;
}

/*Márgenes para espaciado entre los h3*/
.plantillaInformacion h3 {
    margin-top: 20px;
}

.plantillaHistoria {
    grid-area: historia;
}

.botonPastel {
    grid-area: botonPastel;
}

/* Cuando la resolución sea de 800px tabla de 1 columna*/
@media all and (max-width:800px) {
    .mostrarPostre {
        grid-template-columns: 1fr;
        grid-template-areas:
            "foto"
            "ingredientes"
            "historia"
            "botonPastel";
    }

    .plantillaCentrar {

        display: flex;
        justify-content: center;
        align-items: center;
    }

}

/*Icono pastel*/
.pastel {
    width: 36px;
}